## sctplib 1.0.33~rc2.1

=== freebsd/sctplib/Makefile ===
PORTNAME=	sctplib
DISTVERSION=	1.0.33~rc2.1
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/sctplib/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	User-space implementation of the SCTP protocol RFC 4960
WWW=		https://www.nntb.no/~dreibh/sctplib/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		gnome libtool pkgconfig
USE_GNOME=	glib20
USE_LDCONFIG=	yes

GNU_CONFIGURE=	yes
CONFIGURE_ARGS=	--enable-sctp-over-udp
INSTALL_TARGET=	install-strip
PLIST_FILES=	include/sctp.h \
		lib/libsctplib.a \
		lib/libsctplib.so \
		lib/libsctplib.so.1 \
		lib/libsctplib.so.1.0.8

.include <bsd.port.mk>

=== debian/changelog ===
sctplib (1:1.0.33~rc2.1-1) unstable; urgency=low

  * Closes: #934049 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 07 Dec 2025 20:21:36 +0100

## sctplib 1.0.33

=== debian/changelog ===
sctplib (1:1.0.33-1) unstable; urgency=low

  * Closes: #934049 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 09 Dec 2025 17:15:19 +0100

=== debian/control ===
Source: sctplib
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/sctplib/index.html
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               ghostscript,
               libglib2.0-dev,
               libtool,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libsctplib1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: User-space implementation of the SCTP protocol RFC 4960
 This package contains the shared library for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
 .
 The API of the library was modeled after Section 10 of RFC 4960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.

Package: libsctplib-dev
Section: libdevel
Architecture: any
Depends: libsctplib1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: sctplib-doc
Description: Headers and libraries of the user-space SCTP implementation SCTPLIB
 This package contains development files for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
 .
 The API of the library was modeled after Section 10 of RFC 4960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.

Package: sctplib-doc
Provides: sctplib-docs
Replaces: sctplib-docs
Section: doc
Architecture: all
Depends: libsctplib1,
         ${misc:Depends}
Conflicts: sctplib-stable-doc
Description: Documentation of the user-space SCTP implementation SCTPLIB
 This package contains documentation files for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
